#!/bin/bash
LIPASE_PACKAGE_FILE_PATH=$(ls build/lipase*.zip)
LIPASE_USER_MANUAL_PATH=$(pwd)/doc/lipase.pdf
echo "LIPASE_PACKAGE_FILE_PATH=$LIPASE_PACKAGE_FILE_PATH"
LIPASE_PACKAGE_FILE_NAME=$(basename $LIPASE_PACKAGE_FILE_PATH)
if [ "$GRAFFY_OWNCLOUD_JENKINS_PWD" = '' ]
then
    echo "the value of the environment variable GRAFFY_OWNCLOUD_JENKINS_PWD is empty, while its contents are expected to come from JenkinsFile (this script is designed to be called from the accompanying JenkinsFile)"
    exit 1
fi

virtualenv ./python.virtualenv
source ./python.virtualenv/bin/activate
pip install pyocclient  # installs python owncloud module

python -c "import owncloud; oc = owncloud.Client('https://cloud.ipr.univ-rennes1.fr'); oc.login('graffy','$GRAFFY_OWNCLOUD_JENKINS_PWD'); oc.put_file('downloads/$LIPASE_PACKAGE_FILE_NAME', r'$LIPASE_PACKAGE_FILE_PATH'); oc.put_file('downloads/lipase-manual.pdf', r'$LIPASE_USER_MANUAL_PATH');"

